---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.defaultfnregistry'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.defaultfnregistry.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [defaultFnRegistry](./sequelize.sequelizecrudrepository.defaultfnregistry.md)

## SequelizeCrudRepository.defaultFnRegistry property

The alias registry for `defaultFn` option used in model property definition.

See: https://loopback.io/doc/en/lb4/Model.html\#property-decorator

**Signature:**

```typescript
protected defaultFnRegistry: Record<string, unknown>;
```

